//
//  ViewController.swift
//  openParentAppSample
//
//  Created by yoshiyuki oshige on 2015/04/19.
//  Copyright (c) 2015年 yoshiyuki oshige. All rights reserved.
//

import UIKit

class ViewController: UIViewController {
    // Yesのカウントを保存
    var count:Int = 0
    // ラベルとOutlet接続する
    @IBOutlet weak var myLabel: UILabel!
    
    // AppDelegateから呼ばれる関数
    func setMessage(message:String?) -> Int {

        switch message! {
            case "Yes":
                // Yesをカウントアップ
                count++
                // ラベルに結果Yesを表示
                myLabel.text = "YESです。集計" + String(count)
            case "No":
                // ラベルに結果Noを表示
                myLabel.text = "NOです。集計" + String(count)
        default :
            break
        }
        // Yesの回数を返す
        return count
    }

    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }


}

